Subject: Re: PATCH WAS( Re: [ANNOUNCE] iproute2 v2.6.25

From: jamal <[email-masked]>
Date: Sun, 20 Apr 2008 07:48:48 -0400

On Sat, 2008-19-04 at 18:45 +0200, Patrick McHardy wrote:

> I imagine something like this:
> 
> # nl-link-dump env eth0
> 
> LINK_NAME=eth0
> LINK_IFINDEX=2
> LINK_LLADDR=.....
> LINK_OPERSTATE=...
> 
> and so on. You could then do something like this:
> 
> export $(nl-link-dump env eth0)
> 
> and use $LINK_... in your scripts.
> 

Clever. That would certainly help in portability; i will take a closer
look on what you did for libnl and see how well it applies for iproute2.

Stephen, I have some cycles today - I am going to assume no-response
from you implies ok on the change i sent earlier - so i will work on
adding additional changes on top of the one i sent earlier to fixup the
pretty printing (which is not as serious a regression IMO as breakage of
the output).

cheers,
jamal